Package org.eclipse.mat.snapshot.extension

## Interface IThreadDetailsResolver

All Known Implementing Classes:
  `ThreadDetailsResolver`, `ThreadDetailsResolver`

    public interface IThreadDetailsResolver

Extracts detailed information about a thread. This is used by the thread queries ThreadOverviewQuery and ThreadInfoQuery. Implementations of this interface need to be registered using the `org.eclipse.mat.api.threadResolver` extension point.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `complementDeep​(IThreadInfo thread, IProgressListener listener)` Extract detailed information about a thread, for example for ThreadInfoQuery.
`void` `complementShallow​(IThreadInfo thread, IProgressListener listener)` Extract basic information about a thread, for example for ThreadOverviewQuery.
`Column[]` `getColumns()` Detailed information as columns

### Method Detail

#### getColumns

    Column[] getColumns()

Detailed information as columns

Returns:
  an array of Columns

#### complementShallow

    void complementShallow​(IThreadInfo thread,
                           IProgressListener listener)
                    throws SnapshotException

Extract basic information about a thread, for example for ThreadOverviewQuery.

Parameters:
  `thread` - to extract the information from and to attach the information
  `listener` - to log progress and report errors
Throws:
  `SnapshotException` - problem retrieving or converting the data

#### complementDeep

    void complementDeep​(IThreadInfo thread,
                        IProgressListener listener)
                 throws SnapshotException

Extract detailed information about a thread, for example for ThreadInfoQuery.

Parameters:
  `thread` - to extract the information from and to attach the information
  `listener` - to log progress and report errors
Throws:
  `SnapshotException` - problem retrieving or converting the data